# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Namespaces | Defines | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXWrappers.hpp File Reference

`#include <vlCore/VLXClassWrapper.hpp>`
`#include <vlCore/VLXRegistry.hpp>`
`#include <vlCore/VLXSerializer.hpp>`
`#include <vlCore/VLXValue.hpp>`
`#include <vlCore/vlxutils.hpp>`

Go to the source code of this file.

## Namespaces

namespace | vl

| Visualization Library namespace.

## Defines

#define | VL_SERIALIZER_VERSION 100
#define | VLX_IMPORT_CHECK_RETURN(Condition, Obj)
#define | VLX_IMPORT_CHECK_RETURN_NULL(Condition, Obj)

## Functions

VLXValue | vl::export_AABB (const AABB &aabb)
AABB | vl::import_AABB (const VLXStructure *vlx)
VLXValue | vl::export_Sphere (const Sphere &sphere)
Sphere | vl::import_Sphere (const VLXStructure *vlx)

## Define Documentation

#define VL_SERIALIZER_VERSION 100

Definition at line 41 of file VLXWrappers.hpp.

#define VLX_IMPORT_CHECK_RETURN | ( |  | Condition,
|  |  | Obj
| ) |  |

Value:

    if (!(Condition))                                                                                      \
      {                                                                                                      \
        s.signalImportError( Say("Line %n : condition failed : %s\n\tsee %s : %n\n") << (Obj).lineNumber() << #Condition <<  __FILE__ << __LINE__ ); \
        return;                                                                                              \
      }

Definition at line 43 of file VLXWrappers.hpp.

Referenced by vl::VLXClassWrapper_Actor::importActor(), vl::VLXClassWrapper_ActorEventCallback::importActorEventCallback(), vl::VLXClassWrapper_Camera::importCamera(), vl::VLXClassWrapper_ClipPlane::importClipPlane(), vl::VLXClassWrapper_Color::importColor(), vl::VLXClassWrapper_DrawCall::importDrawCall(), vl::VLXClassWrapper_Effect::importEffect(), vl::VLXClassWrapper_Geometry::importGeometry(), vl::VLXClassWrapper_GLSLProgram::importGLSLProgram(), vl::VLXClassWrapper_GLSLShader::importGLSLShader(), vl::VLXClassWrapper_Light::importLight(), vl::VLXClassWrapper_LODEvaluator::importLODEvaluator(), vl::VLXClassWrapper_Material::importMaterial(), vl::VLXClassWrapper_Normal::importNormal(), vl::VLXClassWrapper_ResourceDatabase::importResourceDatabase(), vl::VLXClassWrapper_SecondaryColor::importSecondaryColor(), vl::VLXClassWrapper_Shader::importShader(), vl::VLXClassWrapper_TexParameter::importTexParameter(), vl::VLXClassWrapper_Texture::importTexture(), vl::VLXClassWrapper_TextureSampler::importTextureSampler(), vl::VLXClassWrapper_Transform::importTransform(), vl::VLXClassWrapper_Uniform::importUniform(), vl::VLXClassWrapper_VertexAttrib::importVertexAttrib(), and vl::VLXClassWrapper_Viewport::importViewport().

#define VLX_IMPORT_CHECK_RETURN_NULL | ( |  | Condition,
|  |  | Obj
| ) |  |

Value:

    if (!(Condition))                                                                                      \
      {                                                                                                      \
        s.signalImportError( Say("Line %n : condition failed : %s\n\tsee %s : %n\n") << (Obj).lineNumber() << #Condition <<  __FILE__ << __LINE__ ); \
        return NULL;                                                                                         \
      }

Definition at line 50 of file VLXWrappers.hpp.

Referenced by vl::VLXClassWrapper_VertexAttribInfo::importVLX(), and vl::VLXClassWrapper_Array::importVLX().

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:50.
Permission is granted to use this page to write and publish articles regarding Visualization Library.